Bug 1575276 - Wireless card RTL8723BE weak signal after upgrade.
Summary: Wireless card RTL8723BE weak signal after upgrade.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 15:45 UTC by todoesverso
Modified: 2018-05-29 15:44 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 15:44:42 UTC
Type: Bug


Attachments (Terms of Use)

Description todoesverso 2018-05-05 15:45:23 UTC
Description of problem:
In Fedora 27 my wireless card RTL8723BE with option ant_sel=2 worked perfect until Fedora 27 added the kernel 4.16.3 that no matter what antenna I choose the signal was always weak (30cm from the AP to be able to get -57dbm). Booting with the previous kernel (4.14.13) solved the problem.
After upgrading to Fedora 28 with kernel 4.16.5 I have the same problem but now I don't have an older kernel to boot to. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:

#  iw dev wlo1 scan | egrep "SSID|signal"
	signal: -66.00 dBm
	SSID: Fibertel WiFi765
	signal: -78.00 dBm
	SSID: Fibertel WiFi906 2.4GHz

# cat /etc/modprobe.d/rtl8723be.conf 
options rtl8723be ant_sel=2 ips=0 swenc=1 fwlps=0

# modinfo rtl8723be
filename:       /lib/modules/4.16.5-300.fc28.x86_64/kernel/drivers/net/wireless/realtek/rtlwifi/rtl8723be/rtl8723be.ko.xz
firmware:       rtlwifi/rtl8723befw_36.bin
firmware:       rtlwifi/rtl8723befw.bin
description:    Realtek 8723BE 802.11n PCI wireless
license:        GPL
author:         Realtek WlanFAE	<wlanfae@realtek.com>
author:         PageHe	<page_he@realsil.com.cn>
alias:          pci:v000010ECd0000B723sv*sd*bc*sc*i*
depends:        rtlwifi,rtl8723-common,rtl_pci,btcoexist,mac80211
retpoline:      Y
intree:         Y
name:           rtl8723be
vermagic:       4.16.5-300.fc28.x86_64 SMP mod_unload 
sig_id:         PKCS#7
signer:         
sig_key:        
sig_hashalgo:   md4
signature:      30:82:02:CF:06:09:2A:86:48:86:F7:0D:01:07:02:A0:82:02:C0:30:
		82:02:BC:02:01:01:31:0D:30:0B:06:09:60:86:48:01:65:03:04:02:
		01:30:0B:06:09:2A:86:48:86:F7:0D:01:07:01:31:82:02:99:30:82:
		02:95:02:01:01:30:70:30:63:31:0F:30:0D:06:03:55:04:0A:0C:06:
		46:65:64:6F:72:61:31:22:30:20:06:03:55:04:03:0C:19:46:65:64:
		6F:72:61:20:6B:65:72:6E:65:6C:20:73:69:67:6E:69:6E:67:20:6B:
		65:79:31:2C:30:2A:06:09:2A:86:48:86:F7:0D:01:09:01:16:1D:6B:
		65:72:6E:65:6C:2D:74:65:61:6D:40:66:65:64:6F:72:61:70:72:6F:
		6A:65:63:74:2E:6F:72:67:02:09:00:F9:F9:61:56:5E:9C:07:DF:30:
		0B:06:09:60:86:48:01:65:03:04:02:01:30:0D:06:09:2A:86:48:86:
		F7:0D:01:01:01:05:00:04:82:02:00:8E:B1:45:4E:A7:F7:4F:D2:DC:
		B7:B9:43:27:1B:9A:83:6A:9C:5B:90:8C:73:B6:F5:D7:BA:5D:36:A7:
		74:08:CB:85:B1:7B:A0:4D:8F:92:B8:76:DE:9D:58:63:B5:A9:E7:8C:
		E3:77:BA:9B:08:D4:65:0D:16:98:C8:A1:B2:DF:0F:A8:8D:02:9C:D0:
		A3:74:52:2C:0A:6A:EC:D0:65:9E:13:9E:B5:20:CC:E1:3D:70:06:D3:
		21:86:02:D1:F8:07:77:8A:81:62:3D:A5:17:9F:52:81:49:4E:A9:6A:
		BC:D9:08:40:C3:7A:0A:C7:D1:3D:27:BC:27:37:95:FC:4C:DE:8A:78:
		63:5C:D3:A3:47:9B:2B:0E:AD:6C:43:33:E0:E8:DE:DD:13:81:F1:D2:
		59:D6:7B:12:E9:EE:C9:3C:B3:69:B1:50:C5:EA:7A:45:07:A0:B0:09:
		DC:77:33:29:4F:DB:B5:C6:E7:48:4B:D8:91:0B:18:EA:0C:EB:C8:B2:
		E5:7A:19:6C:32:7A:74:61:8F:64:35:18:65:A4:6E:7F:95:81:3A:AD:
		35:A6:76:67:C5:27:48:43:70:1A:89:13:D9:57:4F:B1:FA:51:24:41:
		E6:55:91:51:3B:B5:66:29:C6:A3:40:53:56:2F:9A:51:5B:8F:A5:43:
		31:F1:94:E3:93:C2:B3:2D:B7:0D:1B:8A:B2:87:CF:0F:CD:8C:5A:34:
		38:11:C2:A1:CF:88:3A:16:F6:1E:21:53:D9:D8:6C:E8:FB:70:C3:A7:
		48:A8:26:37:83:9D:80:1D:48:DB:2F:7E:A3:69:CD:2D:10:D1:35:88:
		6B:99:C1:22:51:33:C8:4A:E1:C4:3D:45:4C:24:EB:5D:4F:7E:EF:EE:
		FA:42:CC:A6:B0:7A:0A:B2:6E:B0:0F:60:F1:BF:3C:52:EA:FF:1A:BD:
		F5:78:BA:6A:B6:9C:D3:AC:10:31:EF:4B:69:E9:79:A2:3A:65:A6:B7:
		07:20:27:D3:E0:80:46:85:F5:BC:51:6E:D3:F8:AC:71:AC:4B:1E:3B:
		44:5C:BD:AF:F4:BD:F0:80:88:74:15:A5:85:82:55:D8:03:81:C2:3E:
		4E:81:7F:29:CA:19:14:1A:2D:63:C7:29:A2:28:29:1D:2F:71:D8:45:
		5C:61:6D:56:81:36:F1:F5:3E:11:FB:35:DC:50:67:9E:F1:CD:95:A8:
		10:42:CD:16:7D:7D:50:99:17:8C:9D:64:16:0F:F8:EC:E2:36:C8:5D:
		7B:4F:E1:7F:71:76:99:9C:BE:86:88:3E:B6:8B:4B:63:8B:4A:9D:4B:
		D7:51:AA:C9:E0:36:75:DF:DF:14:99:82:C6:E2:0F:E9:C8:2A:06:62:
		BB:CE:E8
parm:           swenc:Set to 1 for software crypto (default 0)
 (bool)
parm:           ips:Set to 0 to not use link power save (default 1)
 (bool)
parm:           swlps:Set to 1 to use SW control power save (default 0)
 (bool)
parm:           fwlps:Set to 1 to use FW control power save (default 1)
 (bool)
parm:           msi:Set to 1 to use MSI interrupts mode (default 0)
 (bool)
parm:           aspm:Set to 1 to enable ASPM (default 1)
 (int)
parm:           debug_level:Set debug level (0-5) (default 0) (int)
parm:           debug_mask:Set debug mask (default 0) (ullong)
parm:           disable_watchdog:Set to 1 to disable the watchdog (default 0)
 (bool)
parm:           ant_sel:Set to 1 or 2 to force antenna number (default 0)
 (int)

Comment 2 Jeremy Cline 2018-05-23 19:05:36 UTC
Hi,

That patch was included in 4.16.9, can you confirm it fixes this?

Comment 3 todoesverso 2018-05-26 14:26:24 UTC
I can confirm it is fixed.

Comment 4 Laura Abbott 2018-05-29 15:44:42 UTC
Thanks for letting us know.


Note You need to log in before you can comment on or make changes to this bug.